﻿@using AdminCaja.ViewModel
@using AdminCaja.Models
@using AdminCaja.Helpers
@model CifrasViewModel<ActivosEnCustodia>

@{
    string jsonTotal = Newtonsoft.Json.JsonConvert.SerializeObject(Model.Data.Totals.Graph);
}

<div class="col-md-9">
    <h2 class="inner-content-title">Participación de activos en total de custodia</h2>
    <div class="section-cifras-descargar">
        <a href="pdf/Cifras-CajadeValores.pdf" class="btn btn-cifras-dd" target="_blank">Descargar Caja en Cifras</a>
    </div>
    <div class="row m-t-40">
        <div class="col-md-12 wow fadeInUp">
            <div class="caja-cifras-chart">

                <h2 class="color2">@Model.PeriodoActual.Quarter Trimestre - @Model.Data.Totals.TotalVPN<br><small>Total en V$N</small></h2>
                <div id="pie4" style="width: 100%; height: 400px"></div>

            </div>
        </div>
    </div>

    <div class="row m-t-40">
        <div class="col-md-12 wow fadeInUp">
            <div class="caja-cifras-chart">

                <div class="row m-b-30">
                    <div class="col-md-12">
                        <h2 class="color2">Inversor por activo</h2>

                        <ul class="legend push-right">
                            <li>Persona Física Argentina</li>
                            <li>Persona Física Exterior</li>
                            <li>Persona Jurídica Argentina</li>
                            <li>Persona Jurídica Exterior</li>
                        </ul>
                    </div>
                </div>

                <div class="row">
                    @foreach (var item in Model.Data.Details)
                    {
                        <div class="col-md-12">
                            <h3>@item.ColName</h3>
                            <div id="pie4-@item.Id" style="width: 100%; height: 300px"></div>
                        </div>

                    }
                </div>

            </div>
        </div>


    </div>
</div>
@using (Html.BeginScripts())
{
    <script>
 if ($(window).width() < 768) {
	AmCharts.makeChart("pie4",
	{
		"type": "pie",
		"balloonText": "[[title]]<br><span style='font-size:14px'><b>([[percents]]%)</b></span>",
		"innerRadius": "70%",
		"thousandsSeparator": ".",
		"decimalSeparator": ",",
		"baseColor": "",
		"colors": [
			"#22456c",
			"#1183d3",
			"#16a8ed",
			"#1bb4b5",
			"#0fbc2e",
			"#8dd537",
			"#04D215",
			"#0D8ECF",
			"#0D52D1",
			"#2A0CD0",
			"#8A0CCF",
			"#CD0D74",
			"#754DEB",
			"#DDDDDD",
			"#999999",
			"#333333",
			"#000000",
			"#57032A",
			"#CA9726",
			"#990000",
			"#4B0C25"
		],
		"labelsEnabled": false,
		"startDuration": 1,
		"startEffect": "easeOutSine",
		"titleField": "Name",
		"valueField": "Value",
		"fontFamily": "Montserrat",
		"allLabels": [],
		"balloon": {},
		"legend": {
			"enabled": true,
			"align": "center",
			"autoMargins": false,
			"marginLeft": 2,
			"marginRight": 0,
			"markerLabelGap": 10,
			"markerType": "circle",			
			"rollOverGraphAlpha": 0,
			"valueAlign": "left",
			"valueText": "[[value]]%",
		},
		"titles": [],
		"dataProvider": @Html.Raw(jsonTotal)
	}
);
}
else {
	AmCharts.makeChart("pie4",
	{
		"type": "pie",
		"balloonText": "[[title]]<br><span style='font-size:14px'><b>([[percents]]%)</b></span>",
		"innerRadius": "70%",
		"thousandsSeparator": ".",
		"decimalSeparator": ",",
		"baseColor": "",
		"colors": [
			"#22456c",
			"#1183d3",
			"#16a8ed",
			"#1bb4b5",
			"#0fbc2e",
			"#8dd537",
			"#04D215",
			"#0D8ECF",
			"#0D52D1",
			"#2A0CD0",
			"#8A0CCF",
			"#CD0D74",
			"#754DEB",
			"#DDDDDD",
			"#999999",
			"#333333",
			"#000000",
			"#57032A",
			"#CA9726",
			"#990000",
			"#4B0C25"
		],
		"labelsEnabled": true,
		"startDuration": 1,
		"startEffect": "easeOutSine",
		"titleField": "Name",
		"valueField": "Value",
		"fontFamily": "Montserrat",
		"allLabels": [],
		"balloon": {},
		"legend": {
			"enabled": true,
			"align": "right",
			"autoMargins": false,
			"marginLeft": 2,
			"marginRight": 0,
			"markerLabelGap": 10,
			"markerType": "circle",			
			"position": "right",
			"rollOverGraphAlpha": 0,
			"valueAlign": "left",
			"valueText": "[[value]]%",
		},
		"titles": [],
		"dataProvider": @Html.Raw(jsonTotal)
	}
);
}


    </script>


    foreach (var item in Model.Data.Details)
    {
<script>
        AmCharts.makeChart("pie4-@item.Id",
	{
		"type": "pie",
		"balloonText": "[[title]]<br><span style='font-size:14px'><b>([[percents]]%)</b></span>",
		"innerRadius": "60%",
		"thousandsSeparator": ".",
		"decimalSeparator": ",",
		"baseColor": "",
		"colors": [
			"#1183d3",
			"#1bb4b5",
			"#1fbc2e",
			"#22456c",
			"#04D215",
			"#0D8ECF",
			"#0D52D1",
			"#2A0CD0",
			"#8A0CCF",
			"#CD0D74",
			"#754DEB",
			"#DDDDDD",
			"#999999",
			"#333333",
			"#000000",
			"#57032A",
			"#CA9726",
			"#990000",
			"#4B0C25"
		],
		"labelsEnabled": true,
		"startDuration": 1,
		"startEffect": "easeOutSine",
		"titleField": "Name",
		"valueField": "Value",
		"fontFamily": "Montserrat",
		"allLabels": [],
		"balloonText": "[[title]]<br><span style='font-size:14px'><b>[[value]]%</b></span>",
		"legend": false,
		"titles": [],
		"dataProvider":@Html.Raw(Newtonsoft.Json.JsonConvert.SerializeObject(item.Graph))
	}
);
</script>
    }

}